StrandedFeatureHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.xff.StrandedFeatureHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xff
Class StrandedFeatureHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.xff.FeatureHandler
              org.biojava.bio.program.xff.StrandedFeatureHandler

All Implemented Interfaces:
  StAXContentHandler

    public class StrandedFeatureHandler

extends FeatureHandler

StAX handler for XFF strandedFeature type. By default, XFFFeatureSetHandler uses this handler for all feature elements which have the `strand` attribute.

Like the basic `FeatureHandler`, this class can be subclassed to give handlers for more specialized feature types.

Since:
  1.2
Author:
  Thomas Down

Field Summary
`static XFFPartHandlerFactory` | `STRANDEDFEATURE_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.program.xff.FeatureHandler
`FEATURE_HANDLER_FACTORY`

Constructor Summary
`StrandedFeatureHandler(XFFFeatureSetHandler xffenv)`

Method Summary
`protected Feature.Template` | `createFeatureTemplate()` Create a new template of the appropriate type.
`protected StrandedFeature.Template` | `getStrandedFeatureTemplate()`
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)` StAX callback for element starts.

Methods inherited from class org.biojava.bio.program.xff.FeatureHandler
`endElement, fireEndFeature, fireStartFeature, getFeatureTemplate, getLocationHandler, getOldIDHandler, getSourceHandler, getTypeHandler, getXFFEnvironment, setFeatureProperty`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRANDEDFEATURE_HANDLER_FACTORY

    public static final XFFPartHandlerFactory STRANDEDFEATURE_HANDLER_FACTORY

Constructor Detail

### StrandedFeatureHandler

    public StrandedFeatureHandler(XFFFeatureSetHandler xffenv)

Method Detail

### createFeatureTemplate

    protected Feature.Template createFeatureTemplate()

  Description copied from class: `FeatureHandler`
  Create a new template of the appropriate type. Override this method if you wish to use a template type other than Feature.Template.

  Overrides:
    `createFeatureTemplate` in class `FeatureHandler`

### getStrandedFeatureTemplate

    protected StrandedFeature.Template getStrandedFeatureTemplate()

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Description copied from class: `FeatureHandler`
  StAX callback for element starts. Wrap this method to handle extra elements within your own feature types.

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `FeatureHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD